Profiler Control(3)

NAME
Profiler Control -

  Functions

cudaError_t cudaProfilerStart (void)
Enable profiling.
cudaError_t cudaProfilerStop (void)
Disable profiling.

Detailed Description

\brief profiler control functions of the CUDA runtime API (cuda_profiler_api.h)

This section describes the profiler control functions of the CUDA runtime application programming interface.

Function Documentation

  cudaError_t cudaProfilerStart (void)

Enables profile collection by the active profiling tool for the current context. If profiling is already enabled, then cudaProfilerStart() has no effect.

cudaProfilerStart and cudaProfilerStop APIs are used to programmatically control the profiling granularity by allowing profiling to be done only on selective pieces of code.

Returns:
    cudaSuccess

Note:
    Note that this function may also return error codes from previous, asynchronous launches.

See also:
    cudaProfilerInitialize, cudaProfilerStop, cuProfilerStart

  cudaError_t cudaProfilerStop (void)

Disables profile collection by the active profiling tool for the current context. If profiling is already disabled, then cudaProfilerStop() has no effect.

cudaProfilerStart and cudaProfilerStop APIs are used to programmatically control the profiling granularity by allowing profiling to be done only on selective pieces of code.

Returns:
    cudaSuccess

Note:
    Note that this function may also return error codes from previous, asynchronous launches.

See also:
    cudaProfilerInitialize, cudaProfilerStart, cuProfilerStop

Author

Generated automatically by Doxygen from the source code.